Makefile.in 16 KB

123456789101112131415161718192021222324252627282930313233343536373839404142434445464748495051525354555657585960616263646566676869707172737475767778798081828384858687888990919293949596979899100101102103104105106107108109110111112113114115116117118119120121122123124125126127128129130131132133134135136137138139140141142143144145146147148149150151152153154155156157158159160161162163164165166167168169170171172173174175176177178179180181182183184185186187188189190191192193194195196197198199200201202203204205206207208209210211212213214215216217218219220221222223224225226227228229230231232233234235236237238239240241242243244245246247248249250251252253254255256257258259260261262263264265266267268269270271272273274275276277278279280281282283284285286287288289290291292293294295296297298299300301302303304305306307308309310311312313314315316317318319320321322323324325326327328329330331332333334335336337338339340341342343344345346347348349350351352353354355356357358359360361362363364365366367368369370371372373374375376377378379380381382383384385386387388389390391392393394395396397398399400401402403404405406407408409410411412413414415416417418419420421422423424425426427428429430431432433434435436437438439440441442443444445
  1. # Makefile for PO directory in any package using GNU gettext.
  2. # Copyright (C) 1995-1997, 2000-2007, 2009-2010 by Ulrich Drepper <drepper@gnu.ai.mit.edu>
  3. #
  4. # This file can be copied and used freely without restrictions. It can
  5. # be used in projects which are not available under the GNU General Public
  6. # License but which still want to provide support for the GNU gettext
  7. # functionality.
  8. # Please note that the actual code of GNU gettext is covered by the GNU
  9. # General Public License and is *not* in the public domain.
  10. #
  11. # Origin: gettext-0.18
  12. GETTEXT_MACRO_VERSION = 0.18
  13. PACKAGE = jwm
  14. VERSION = 2.2.0
  15. PACKAGE_BUGREPORT = joewing@joewing.net
  16. SHELL = /bin/sh
  17. srcdir = .
  18. top_srcdir = ..
  19. prefix = /freon
  20. exec_prefix = /freon
  21. datarootdir = ${prefix}/share
  22. datadir = ${datarootdir}
  23. localedir = /freon/share/locale
  24. gettextsrcdir = $(datadir)/gettext/po
  25. INSTALL = /usr/bin/install -c
  26. INSTALL_DATA = ${INSTALL} -m 644
  27. # We use $(mkdir_p).
  28. # In automake <= 1.9.x, $(mkdir_p) is defined either as "mkdir -p --" or as
  29. # "$(mkinstalldirs)" or as "$(install_sh) -d". For these automake versions,
  30. # @install_sh@ does not start with $(SHELL), so we add it.
  31. # In automake >= 1.10, @mkdir_p@ is derived from ${MKDIR_P}, which is defined
  32. # either as "/path/to/mkdir -p" or ".../install-sh -c -d". For these automake
  33. # versions, $(mkinstalldirs) and $(install_sh) are unused.
  34. mkinstalldirs = $(SHELL) /usr/bin/install -c -d
  35. install_sh = $(SHELL) /usr/bin/install -c
  36. MKDIR_P = /bin/mkdir -p
  37. mkdir_p = /bin/mkdir -p
  38. GMSGFMT_ = /usr/bin/msgfmt
  39. GMSGFMT_no = /usr/bin/msgfmt
  40. GMSGFMT_yes = /usr/bin/msgfmt
  41. GMSGFMT = $(GMSGFMT_$(USE_MSGCTXT))
  42. MSGFMT_ = /usr/bin/msgfmt
  43. MSGFMT_no = /usr/bin/msgfmt
  44. MSGFMT_yes = /usr/bin/msgfmt
  45. MSGFMT = $(MSGFMT_$(USE_MSGCTXT))
  46. XGETTEXT_ = /usr/bin/xgettext
  47. XGETTEXT_no = /usr/bin/xgettext
  48. XGETTEXT_yes = /usr/bin/xgettext
  49. XGETTEXT = $(XGETTEXT_$(USE_MSGCTXT))
  50. MSGMERGE = msgmerge
  51. MSGMERGE_UPDATE = /usr/bin/msgmerge --update
  52. MSGINIT = msginit
  53. MSGCONV = msgconv
  54. MSGFILTER = msgfilter
  55. POFILES = @POFILES@
  56. GMOFILES = @GMOFILES@
  57. UPDATEPOFILES = @UPDATEPOFILES@
  58. DUMMYPOFILES = @DUMMYPOFILES@
  59. DISTFILES.common = Makefile.in.in remove-potcdate.sin \
  60. $(DISTFILES.common.extra1) $(DISTFILES.common.extra2) $(DISTFILES.common.extra3)
  61. DISTFILES = $(DISTFILES.common) Makevars POTFILES.in \
  62. $(POFILES) $(GMOFILES) \
  63. $(DISTFILES.extra1) $(DISTFILES.extra2) $(DISTFILES.extra3)
  64. POTFILES = \
  65. CATALOGS = @CATALOGS@
  66. # Makevars gets inserted here. (Don't remove this line!)
  67. .SUFFIXES:
  68. .SUFFIXES: .po .gmo .mo .sed .sin .nop .po-create .po-update
  69. .po.mo:
  70. @echo "$(MSGFMT) -c -o $@ $<"; \
  71. $(MSGFMT) -c -o t-$@ $< && mv t-$@ $@
  72. .po.gmo:
  73. @lang=`echo $* | sed -e 's,.*/,,'`; \
  74. test "$(srcdir)" = . && cdcmd="" || cdcmd="cd $(srcdir) && "; \
  75. echo "$${cdcmd}rm -f $${lang}.gmo && $(GMSGFMT) -c --statistics --verbose -o $${lang}.gmo $${lang}.po"; \
  76. cd $(srcdir) && rm -f $${lang}.gmo && $(GMSGFMT) -c --statistics --verbose -o t-$${lang}.gmo $${lang}.po && mv t-$${lang}.gmo $${lang}.gmo
  77. .sin.sed:
  78. sed -e '/^#/d' $< > t-$@
  79. mv t-$@ $@
  80. all: check-macro-version all-yes
  81. all-yes: stamp-po
  82. all-no:
  83. # Ensure that the gettext macros and this Makefile.in.in are in sync.
  84. check-macro-version:
  85. @test "$(GETTEXT_MACRO_VERSION)" = "0.19" \
  86. || { echo "*** error: gettext infrastructure mismatch: using a Makefile.in.in from gettext version $(GETTEXT_MACRO_VERSION) but the autoconf macros are from gettext version 0.19" 1>&2; \
  87. exit 1; \
  88. }
  89. # $(srcdir)/$(DOMAIN).pot is only created when needed. When xgettext finds no
  90. # internationalized messages, no $(srcdir)/$(DOMAIN).pot is created (because
  91. # we don't want to bother translators with empty POT files). We assume that
  92. # LINGUAS is empty in this case, i.e. $(POFILES) and $(GMOFILES) are empty.
  93. # In this case, stamp-po is a nop (i.e. a phony target).
  94. # stamp-po is a timestamp denoting the last time at which the CATALOGS have
  95. # been loosely updated. Its purpose is that when a developer or translator
  96. # checks out the package via CVS, and the $(DOMAIN).pot file is not in CVS,
  97. # "make" will update the $(DOMAIN).pot and the $(CATALOGS), but subsequent
  98. # invocations of "make" will do nothing. This timestamp would not be necessary
  99. # if updating the $(CATALOGS) would always touch them; however, the rule for
  100. # $(POFILES) has been designed to not touch files that don't need to be
  101. # changed.
  102. stamp-po: $(srcdir)/$(DOMAIN).pot
  103. test ! -f $(srcdir)/$(DOMAIN).pot || \
  104. test -z "$(GMOFILES)" || $(MAKE) $(GMOFILES)
  105. @test ! -f $(srcdir)/$(DOMAIN).pot || { \
  106. echo "touch stamp-po" && \
  107. echo timestamp > stamp-poT && \
  108. mv stamp-poT stamp-po; \
  109. }
  110. # Note: Target 'all' must not depend on target '$(DOMAIN).pot-update',
  111. # otherwise packages like GCC can not be built if only parts of the source
  112. # have been downloaded.
  113. # This target rebuilds $(DOMAIN).pot; it is an expensive operation.
  114. # Note that $(DOMAIN).pot is not touched if it doesn't need to be changed.
  115. $(DOMAIN).pot-update: $(POTFILES) $(srcdir)/POTFILES.in remove-potcdate.sed
  116. if LC_ALL=C grep 'GNU jwm' $(top_srcdir)/* 2>/dev/null | grep -v 'libtool:' >/dev/null; then \
  117. package_gnu='GNU '; \
  118. else \
  119. package_gnu=''; \
  120. fi; \
  121. if test -n '$(MSGID_BUGS_ADDRESS)' || test '$(PACKAGE_BUGREPORT)' = '@'PACKAGE_BUGREPORT'@'; then \
  122. msgid_bugs_address='$(MSGID_BUGS_ADDRESS)'; \
  123. else \
  124. msgid_bugs_address='$(PACKAGE_BUGREPORT)'; \
  125. fi; \
  126. case `$(XGETTEXT) --version | sed 1q | sed -e 's,^[^0-9]*,,'` in \
  127. '' | 0.[0-9] | 0.[0-9].* | 0.1[0-5] | 0.1[0-5].* | 0.16 | 0.16.[0-1]*) \
  128. $(XGETTEXT) --default-domain=$(DOMAIN) --directory=$(top_srcdir) \
  129. --add-comments=TRANSLATORS: $(XGETTEXT_OPTIONS) \
  130. --files-from=$(srcdir)/POTFILES.in \
  131. --copyright-holder='$(COPYRIGHT_HOLDER)' \
  132. --msgid-bugs-address="$$msgid_bugs_address" \
  133. ;; \
  134. *) \
  135. $(XGETTEXT) --default-domain=$(DOMAIN) --directory=$(top_srcdir) \
  136. --add-comments=TRANSLATORS: $(XGETTEXT_OPTIONS) \
  137. --files-from=$(srcdir)/POTFILES.in \
  138. --copyright-holder='$(COPYRIGHT_HOLDER)' \
  139. --package-name="$${package_gnu}jwm" \
  140. --package-version='2.2.0' \
  141. --msgid-bugs-address="$$msgid_bugs_address" \
  142. ;; \
  143. esac
  144. test ! -f $(DOMAIN).po || { \
  145. if test -f $(srcdir)/$(DOMAIN).pot; then \
  146. sed -f remove-potcdate.sed < $(srcdir)/$(DOMAIN).pot > $(DOMAIN).1po && \
  147. sed -f remove-potcdate.sed < $(DOMAIN).po > $(DOMAIN).2po && \
  148. if cmp $(DOMAIN).1po $(DOMAIN).2po >/dev/null 2>&1; then \
  149. rm -f $(DOMAIN).1po $(DOMAIN).2po $(DOMAIN).po; \
  150. else \
  151. rm -f $(DOMAIN).1po $(DOMAIN).2po $(srcdir)/$(DOMAIN).pot && \
  152. mv $(DOMAIN).po $(srcdir)/$(DOMAIN).pot; \
  153. fi; \
  154. else \
  155. mv $(DOMAIN).po $(srcdir)/$(DOMAIN).pot; \
  156. fi; \
  157. }
  158. # This rule has no dependencies: we don't need to update $(DOMAIN).pot at
  159. # every "make" invocation, only create it when it is missing.
  160. # Only "make $(DOMAIN).pot-update" or "make dist" will force an update.
  161. $(srcdir)/$(DOMAIN).pot:
  162. $(MAKE) $(DOMAIN).pot-update
  163. # This target rebuilds a PO file if $(DOMAIN).pot has changed.
  164. # Note that a PO file is not touched if it doesn't need to be changed.
  165. $(POFILES): $(srcdir)/$(DOMAIN).pot
  166. @lang=`echo $@ | sed -e 's,.*/,,' -e 's/\.po$$//'`; \
  167. if test -f "$(srcdir)/$${lang}.po"; then \
  168. test "$(srcdir)" = . && cdcmd="" || cdcmd="cd $(srcdir) && "; \
  169. echo "$${cdcmd}$(MSGMERGE_UPDATE) $(MSGMERGE_OPTIONS) --lang=$${lang} $${lang}.po $(DOMAIN).pot"; \
  170. cd $(srcdir) \
  171. && { case `$(MSGMERGE_UPDATE) --version | sed 1q | sed -e 's,^[^0-9]*,,'` in \
  172. '' | 0.[0-9] | 0.[0-9].* | 0.1[0-7] | 0.1[0-7].*) \
  173. $(MSGMERGE_UPDATE) $(MSGMERGE_OPTIONS) $${lang}.po $(DOMAIN).pot;; \
  174. *) \
  175. $(MSGMERGE_UPDATE) $(MSGMERGE_OPTIONS) --lang=$${lang} $${lang}.po $(DOMAIN).pot;; \
  176. esac; \
  177. }; \
  178. else \
  179. $(MAKE) $${lang}.po-create; \
  180. fi
  181. install: install-exec install-data
  182. install-exec:
  183. install-data: install-data-yes
  184. if test "$(PACKAGE)" = "gettext-tools"; then \
  185. $(mkdir_p) $(DESTDIR)$(gettextsrcdir); \
  186. for file in $(DISTFILES.common) Makevars.template; do \
  187. $(INSTALL_DATA) $(srcdir)/$$file \
  188. $(DESTDIR)$(gettextsrcdir)/$$file; \
  189. done; \
  190. for file in Makevars; do \
  191. rm -f $(DESTDIR)$(gettextsrcdir)/$$file; \
  192. done; \
  193. else \
  194. : ; \
  195. fi
  196. install-data-no: all
  197. install-data-yes: all
  198. @catalogs='$(CATALOGS)'; \
  199. for cat in $$catalogs; do \
  200. cat=`basename $$cat`; \
  201. lang=`echo $$cat | sed -e 's/\.gmo$$//'`; \
  202. dir=$(localedir)/$$lang/LC_MESSAGES; \
  203. $(mkdir_p) $(DESTDIR)$$dir; \
  204. if test -r $$cat; then realcat=$$cat; else realcat=$(srcdir)/$$cat; fi; \
  205. $(INSTALL_DATA) $$realcat $(DESTDIR)$$dir/$(DOMAIN).mo; \
  206. echo "installing $$realcat as $(DESTDIR)$$dir/$(DOMAIN).mo"; \
  207. for lc in '' $(EXTRA_LOCALE_CATEGORIES); do \
  208. if test -n "$$lc"; then \
  209. if (cd $(DESTDIR)$(localedir)/$$lang && LC_ALL=C ls -l -d $$lc 2>/dev/null) | grep ' -> ' >/dev/null; then \
  210. link=`cd $(DESTDIR)$(localedir)/$$lang && LC_ALL=C ls -l -d $$lc | sed -e 's/^.* -> //'`; \
  211. mv $(DESTDIR)$(localedir)/$$lang/$$lc $(DESTDIR)$(localedir)/$$lang/$$lc.old; \
  212. mkdir $(DESTDIR)$(localedir)/$$lang/$$lc; \
  213. (cd $(DESTDIR)$(localedir)/$$lang/$$lc.old && \
  214. for file in *; do \
  215. if test -f $$file; then \
  216. ln -s ../$$link/$$file $(DESTDIR)$(localedir)/$$lang/$$lc/$$file; \
  217. fi; \
  218. done); \
  219. rm -f $(DESTDIR)$(localedir)/$$lang/$$lc.old; \
  220. else \
  221. if test -d $(DESTDIR)$(localedir)/$$lang/$$lc; then \
  222. :; \
  223. else \
  224. rm -f $(DESTDIR)$(localedir)/$$lang/$$lc; \
  225. mkdir $(DESTDIR)$(localedir)/$$lang/$$lc; \
  226. fi; \
  227. fi; \
  228. rm -f $(DESTDIR)$(localedir)/$$lang/$$lc/$(DOMAIN).mo; \
  229. ln -s ../LC_MESSAGES/$(DOMAIN).mo $(DESTDIR)$(localedir)/$$lang/$$lc/$(DOMAIN).mo 2>/dev/null || \
  230. ln $(DESTDIR)$(localedir)/$$lang/LC_MESSAGES/$(DOMAIN).mo $(DESTDIR)$(localedir)/$$lang/$$lc/$(DOMAIN).mo 2>/dev/null || \
  231. cp -p $(DESTDIR)$(localedir)/$$lang/LC_MESSAGES/$(DOMAIN).mo $(DESTDIR)$(localedir)/$$lang/$$lc/$(DOMAIN).mo; \
  232. echo "installing $$realcat link as $(DESTDIR)$(localedir)/$$lang/$$lc/$(DOMAIN).mo"; \
  233. fi; \
  234. done; \
  235. done
  236. install-strip: install
  237. installdirs: installdirs-exec installdirs-data
  238. installdirs-exec:
  239. installdirs-data: installdirs-data-yes
  240. if test "$(PACKAGE)" = "gettext-tools"; then \
  241. $(mkdir_p) $(DESTDIR)$(gettextsrcdir); \
  242. else \
  243. : ; \
  244. fi
  245. installdirs-data-no:
  246. installdirs-data-yes:
  247. @catalogs='$(CATALOGS)'; \
  248. for cat in $$catalogs; do \
  249. cat=`basename $$cat`; \
  250. lang=`echo $$cat | sed -e 's/\.gmo$$//'`; \
  251. dir=$(localedir)/$$lang/LC_MESSAGES; \
  252. $(mkdir_p) $(DESTDIR)$$dir; \
  253. for lc in '' $(EXTRA_LOCALE_CATEGORIES); do \
  254. if test -n "$$lc"; then \
  255. if (cd $(DESTDIR)$(localedir)/$$lang && LC_ALL=C ls -l -d $$lc 2>/dev/null) | grep ' -> ' >/dev/null; then \
  256. link=`cd $(DESTDIR)$(localedir)/$$lang && LC_ALL=C ls -l -d $$lc | sed -e 's/^.* -> //'`; \
  257. mv $(DESTDIR)$(localedir)/$$lang/$$lc $(DESTDIR)$(localedir)/$$lang/$$lc.old; \
  258. mkdir $(DESTDIR)$(localedir)/$$lang/$$lc; \
  259. (cd $(DESTDIR)$(localedir)/$$lang/$$lc.old && \
  260. for file in *; do \
  261. if test -f $$file; then \
  262. ln -s ../$$link/$$file $(DESTDIR)$(localedir)/$$lang/$$lc/$$file; \
  263. fi; \
  264. done); \
  265. rm -f $(DESTDIR)$(localedir)/$$lang/$$lc.old; \
  266. else \
  267. if test -d $(DESTDIR)$(localedir)/$$lang/$$lc; then \
  268. :; \
  269. else \
  270. rm -f $(DESTDIR)$(localedir)/$$lang/$$lc; \
  271. mkdir $(DESTDIR)$(localedir)/$$lang/$$lc; \
  272. fi; \
  273. fi; \
  274. fi; \
  275. done; \
  276. done
  277. # Define this as empty until I found a useful application.
  278. installcheck:
  279. uninstall: uninstall-exec uninstall-data
  280. uninstall-exec:
  281. uninstall-data: uninstall-data-yes
  282. if test "$(PACKAGE)" = "gettext-tools"; then \
  283. for file in $(DISTFILES.common) Makevars.template; do \
  284. rm -f $(DESTDIR)$(gettextsrcdir)/$$file; \
  285. done; \
  286. else \
  287. : ; \
  288. fi
  289. uninstall-data-no:
  290. uninstall-data-yes:
  291. catalogs='$(CATALOGS)'; \
  292. for cat in $$catalogs; do \
  293. cat=`basename $$cat`; \
  294. lang=`echo $$cat | sed -e 's/\.gmo$$//'`; \
  295. for lc in LC_MESSAGES $(EXTRA_LOCALE_CATEGORIES); do \
  296. rm -f $(DESTDIR)$(localedir)/$$lang/$$lc/$(DOMAIN).mo; \
  297. done; \
  298. done
  299. check: all
  300. info dvi ps pdf html tags TAGS ctags CTAGS ID:
  301. mostlyclean:
  302. rm -f remove-potcdate.sed
  303. rm -f stamp-poT
  304. rm -f core core.* $(DOMAIN).po $(DOMAIN).1po $(DOMAIN).2po *.new.po
  305. rm -fr *.o
  306. clean: mostlyclean
  307. distclean: clean
  308. rm -f Makefile Makefile.in POTFILES *.mo
  309. maintainer-clean: distclean
  310. @echo "This command is intended for maintainers to use;"
  311. @echo "it deletes files that may require special tools to rebuild."
  312. rm -f stamp-po $(GMOFILES)
  313. distdir = $(top_builddir)/$(PACKAGE)-$(VERSION)/$(subdir)
  314. dist distdir:
  315. $(MAKE) update-po
  316. @$(MAKE) dist2
  317. # This is a separate target because 'update-po' must be executed before.
  318. dist2: stamp-po $(DISTFILES)
  319. dists="$(DISTFILES)"; \
  320. if test "$(PACKAGE)" = "gettext-tools"; then \
  321. dists="$$dists Makevars.template"; \
  322. fi; \
  323. if test -f $(srcdir)/$(DOMAIN).pot; then \
  324. dists="$$dists $(DOMAIN).pot stamp-po"; \
  325. fi; \
  326. if test -f $(srcdir)/ChangeLog; then \
  327. dists="$$dists ChangeLog"; \
  328. fi; \
  329. for i in 0 1 2 3 4 5 6 7 8 9; do \
  330. if test -f $(srcdir)/ChangeLog.$$i; then \
  331. dists="$$dists ChangeLog.$$i"; \
  332. fi; \
  333. done; \
  334. if test -f $(srcdir)/LINGUAS; then dists="$$dists LINGUAS"; fi; \
  335. for file in $$dists; do \
  336. if test -f $$file; then \
  337. cp -p $$file $(distdir) || exit 1; \
  338. else \
  339. cp -p $(srcdir)/$$file $(distdir) || exit 1; \
  340. fi; \
  341. done
  342. update-po: Makefile
  343. $(MAKE) $(DOMAIN).pot-update
  344. test -z "$(UPDATEPOFILES)" || $(MAKE) $(UPDATEPOFILES)
  345. $(MAKE) update-gmo
  346. # General rule for creating PO files.
  347. .nop.po-create:
  348. @lang=`echo $@ | sed -e 's/\.po-create$$//'`; \
  349. echo "File $$lang.po does not exist. If you are a translator, you can create it through 'msginit'." 1>&2; \
  350. exit 1
  351. # General rule for updating PO files.
  352. .nop.po-update:
  353. @lang=`echo $@ | sed -e 's/\.po-update$$//'`; \
  354. if test "$(PACKAGE)" = "gettext-tools"; then PATH=`pwd`/../src:$$PATH; fi; \
  355. tmpdir=`pwd`; \
  356. echo "$$lang:"; \
  357. test "$(srcdir)" = . && cdcmd="" || cdcmd="cd $(srcdir) && "; \
  358. echo "$${cdcmd}$(MSGMERGE) $(MSGMERGE_OPTIONS) --lang=$$lang $$lang.po $(DOMAIN).pot -o $$lang.new.po"; \
  359. cd $(srcdir); \
  360. if { case `$(MSGMERGE) --version | sed 1q | sed -e 's,^[^0-9]*,,'` in \
  361. '' | 0.[0-9] | 0.[0-9].* | 0.1[0-7] | 0.1[0-7].*) \
  362. $(MSGMERGE) $(MSGMERGE_OPTIONS) -o $$tmpdir/$$lang.new.po $$lang.po $(DOMAIN).pot;; \
  363. *) \
  364. $(MSGMERGE) $(MSGMERGE_OPTIONS) --lang=$$lang -o $$tmpdir/$$lang.new.po $$lang.po $(DOMAIN).pot;; \
  365. esac; \
  366. }; then \
  367. if cmp $$lang.po $$tmpdir/$$lang.new.po >/dev/null 2>&1; then \
  368. rm -f $$tmpdir/$$lang.new.po; \
  369. else \
  370. if mv -f $$tmpdir/$$lang.new.po $$lang.po; then \
  371. :; \
  372. else \
  373. echo "msgmerge for $$lang.po failed: cannot move $$tmpdir/$$lang.new.po to $$lang.po" 1>&2; \
  374. exit 1; \
  375. fi; \
  376. fi; \
  377. else \
  378. echo "msgmerge for $$lang.po failed!" 1>&2; \
  379. rm -f $$tmpdir/$$lang.new.po; \
  380. fi
  381. $(DUMMYPOFILES):
  382. update-gmo: Makefile $(GMOFILES)
  383. @:
  384. # Recreate Makefile by invoking config.status. Explicitly invoke the shell,
  385. # because execution permission bits may not work on the current file system.
  386. # Use /bin/bash, which is the shell determined by autoconf for the use by its
  387. # scripts, not $(SHELL) which is hardwired to /bin/sh and may be deficient.
  388. Makefile: Makefile.in.in Makevars $(top_builddir)/config.status @POMAKEFILEDEPS@
  389. cd $(top_builddir) \
  390. && /bin/bash ./config.status $(subdir)/$@.in po-directories
  391. force:
  392. # Tell versions [3.59,3.63) of GNU make not to export all variables.
  393. # Otherwise a system limit (for SysV at least) may be exceeded.
  394. .NOEXPORT: